Subject: File descriptor leak

From: goredo <[email-masked]>
Date: Sun, 8 May 2022 08:22:42 +0000 (UTC)

You likely run into the same trouble I did before. You can artificially restrict the number of parallel redo-ifchange calls with "xargs -n 50 ALL_ARGS | redo-ifchange" or try to increase the ulimit values for open files.

If you look into the archives, I, too, mentioned this problem. The way goredo is designed, makes it open all prospective fds upfront although with no intention to run as many parallel processes. So the task is to limit the number of arguments a single redo-ifchange invocation sees. The author's stance at the time was to keep the code simple and let the work be done in the redo targets. But I am still in favour of a more conservative approach to opening files of targets that are not immediately run.

–Michael